| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_MAX_FUNCTION_CALL_ARITY

BOOST_PROTO_MAX_FUNCTION_CALL_ARITY — Controls the maximum number of arguments that `operator()` overloads accept.

## Synopsis

    // In header: <boost/proto/proto_fwd.hpp>

    BOOST_PROTO_MAX_FUNCTION_CALL_ARITY

## Description

When setting `BOOST_PROTO_MAX_ARITY` higher than the default, compile times slow down considerably. That is due in large part to the explosion in the number of `operator()` overloads that must be generated for each Proto expression type. By setting `BOOST_PROTO_MAX_FUNCTION_CALL_ARITY` lower than `BOOST_PROTO_MAX_ARITY`, compile times can be sped up considerably.